ReadManagerFromListOfSets
Date: 2012-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.contentmanager.oaiplugin.delegates
Class ReadManagerFromListOfSets

    java.lang.Object
      ReadDelegate
          org.gcube.contentmanagement.contentmanager.oaiplugin.delegates.ReadManager
              org.gcube.contentmanagement.contentmanager.oaiplugin.delegates.ReadManagerFromListOfSets

    public class ReadManagerFromListOfSets

extends ReadManager

Constructor Summary
`ReadManagerFromListOfSets(java.lang.String oid, java.lang.String repositoryURI, MetadataFormat metadataFormat, java.lang.String contentXpath, java.util.List<java.lang.String> listSets, java.lang.String... alternativesXPath)`

Method Summary
`` | `get(Predicate projection)`
`GDoc` | `get(java.lang.String id)`

Methods inherited from class org.gcube.contentmanagement.contentmanager.oaiplugin.delegates.ReadManager
`computeUpdate, extractDoc, get, get, getDefaultMdFormat, getOAIHarvester, getTitleNameXPath, setDefaultMdFormat, setTitleNameXPath`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadManagerFromListOfSets

    public ReadManagerFromListOfSets(java.lang.String oid,
                                     java.lang.String repositoryURI,
                                     MetadataFormat metadataFormat,
                                     java.lang.String contentXpath,
                                     java.util.List<java.lang.String> listSets,
                                     java.lang.String... alternativesXPath)

Method Detail

### get

    public  get(Predicate projection)
              throws java.lang.Exception,
                     GCUBEException

  Specified by:
    `get` in class `ReadManager`
  Returns:
  Throws:
    `java.lang.Exception`
    `GCUBEException`

### get

    public GDoc get(java.lang.String id)
             throws java.lang.Exception

  Specified by:
    `get` in class `ReadManager`
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD